com.tibbo.aggregate.common.datatable.converter.editor

## Class ReferenceConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter
  - - com.tibbo.aggregate.common.datatable.converter.editor.ReferenceConverter

- All Implemented Interfaces:
    EditorOptionsConverter

      public class ReferenceConverter
      extends AbstractEditorOptionsConverter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DYNAMIC`
    `static java.lang.String` | `FIELD_APPEARANCE`
    `static java.lang.String` | `FIELD_COLUMNS_NAME`
    `static java.lang.String` | `FIELD_COLUMNS_VISIBLE`
    `static java.lang.String` | `FIELD_CONTEXT`
    `static java.lang.String` | `FIELD_CONTEXT_EXPRESSION`
    `static java.lang.String` | `FIELD_CONTEXT_TYPE`
    `static java.lang.String` | `FIELD_ENTITY`
    `static java.lang.String` | `FIELD_ENTITY_EXPRESSION`
    `static java.lang.String` | `FIELD_ENTITY_PARAMETERS`
    `static java.lang.String` | `FIELD_ENTITY_PARAMETERS_VALUE`
    `static java.lang.String` | `FIELD_ENTITY_TYPE`
    `static java.lang.String` | `FIELD_ICON`
    `static java.lang.String` | `FIELD_REFERENCE_TYPE`
    `static TableFormat` | `FORMAT`
    `static java.lang.String` | `STATIC`
    `static TableFormat` | `VFT_ENTITY_PARAMETERS`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `editors, types`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceConverter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertToString(DataTable options)`
    `static Reference` | `createReference(java.lang.Object value, FieldFormat ff, ContextManager cm, CallerController cc)`
    `static Reference` | `createReference(java.lang.Object value, FieldFormat ff, ContextManager cm, CallerController cc, Context defaultContext)`
    `TableFormat` | `getFormat()`
    `static Reference` | `toReference(DataTable options, ContextManager cm, CallerController cc)`
    `static Reference` | `toReference(DataTable options, ContextManager cm, CallerController cc, Context defaultContext)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `isSupportingEditor, isSupportingType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_APPEARANCE

          public static final java.lang.String FIELD_APPEARANCE

      See Also:
        Constant Field Values

    - #### FIELD_REFERENCE_TYPE

          public static final java.lang.String FIELD_REFERENCE_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_TYPE

          public static final java.lang.String FIELD_CONTEXT_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT

          public static final java.lang.String FIELD_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_EXPRESSION

          public static final java.lang.String FIELD_CONTEXT_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY_TYPE

          public static final java.lang.String FIELD_ENTITY_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY

          public static final java.lang.String FIELD_ENTITY

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY_EXPRESSION

          public static final java.lang.String FIELD_ENTITY_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY_PARAMETERS

          public static final java.lang.String FIELD_ENTITY_PARAMETERS

      See Also:
        Constant Field Values

    - #### FIELD_ICON

          public static final java.lang.String FIELD_ICON

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY_PARAMETERS_VALUE

          public static final java.lang.String FIELD_ENTITY_PARAMETERS_VALUE

      See Also:
        Constant Field Values

    - #### STATIC

          public static final java.lang.String STATIC

      See Also:
        Constant Field Values

    - #### DYNAMIC

          public static final java.lang.String DYNAMIC

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_NAME

          public static final java.lang.String FIELD_COLUMNS_NAME

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_VISIBLE

          public static final java.lang.String FIELD_COLUMNS_VISIBLE

      See Also:
        Constant Field Values

    - #### VFT_ENTITY_PARAMETERS

          public static final TableFormat VFT_ENTITY_PARAMETERS

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### ReferenceConverter

          public ReferenceConverter()

  - ### Method Detail

    - #### convertToString

          public java.lang.String convertToString(DataTable options)

      Specified by:
        `convertToString` in interface `EditorOptionsConverter`
      Specified by:
        `convertToString` in class `AbstractEditorOptionsConverter`

    - #### createReference

          public static Reference createReference(java.lang.Object value,
                                                  FieldFormat ff,
                                                  ContextManager cm,
                                                  CallerController cc)

    - #### createReference

          public static Reference createReference(java.lang.Object value,
                                                  FieldFormat ff,
                                                  ContextManager cm,
                                                  CallerController cc,
                                                  Context defaultContext)

    - #### toReference

          public static Reference toReference(DataTable options,
                                              ContextManager cm,
                                              CallerController cc)

    - #### toReference

          public static Reference toReference(DataTable options,
                                              ContextManager cm,
                                              CallerController cc,
                                              Context defaultContext)

    - #### getFormat

          public TableFormat getFormat()

      Specified by:
        `getFormat` in interface `EditorOptionsConverter`
      Specified by:
        `getFormat` in class `AbstractEditorOptionsConverter`